using System;

namespace Website.Data.States.Git {
	public class CommitState {
		public string id { get; set; }
		public string message { get; set; }
		public string url { get; set; }
		public AuthorState author { get; set; }
		public AuthorState committer { get; set; }
		public object added { get; set; }
		public object removed { get; set; }
		public object modified { get; set; }
		public DateTimeOffset timestamp { get; set; }
		public CommitPointerState tree { get; set; }
	}
}
